import { $get, $post, $postParam } from "@/plugins/axios";

// common-select
// export const appTypeList = datas => {
//   return $get("/api/admin/app/types", datas);
// };
// export const appDeployList = datas => {
//   return $get("/api/admin/app/deploy_modes", datas);
// };

// user-manage
export const userListPage = datas => {
  return $postParam("/api/admin/user/query", datas);
};
export const userRoleList = datas => {
  return $postParam("/api/admin/user/roles", datas);
};
export const userListQuery = datas => {
  return $postParam("/api/admin/user/list", datas);
};
export const resetPwd = password => {
  return $postParam("/api/admin/user/change_password", { password });
};
export const userInsertOrUpdate = datas => {
  if (datas.id) {
    return $post("/api/admin/user/update", datas);
  } else {
    return $post("/api/admin/user/insert", datas);
  }
};

// app-manage
export const appQuery = datas => {
  return $get("/api/admin/app/query", datas);
};
export const appInsertOrUpdate = datas => {
  if (datas.id) {
    return $post("/api/admin/app/update", datas);
  } else {
    return $post("/api/admin/app/insert", datas);
  }
};
// app-user-manage
export const appUserList = appId => {
  return $postParam("/api/admin/app/user/list", { id: appId });
};
export const appBindUser = ({ appId, userId }, isBind) => {
  if (isBind) {
    return $postParam("/api/admin/app/user/bind", { id: appId, userId });
  } else {
    return $postParam("/api/admin/app/user/unbind", { id: appId, userId });
  }
};

// app-module-manage
export const appModuleList = datas => {
  return $postParam("/api/admin/module/list", datas);
};
export const appModuleInsertOrUpdate = datas => {
  if (datas.id) {
    return $post("/api/admin/module/update", datas);
  } else {
    return $post("/api/admin/module/insert", datas);
  }
};
export const appModuleEnable = ({ id, enable }) => {
  return $post("/api/admin/module/update", { id, enable });
};
