/**
 *
 *
 * 方案：
 * 每次初始化服务端时间时记录本地时间与服务端时间差。
 * 缺陷：在下次初始化服务端时间前，默认用户不会自己修改系统时间
 * 弥补：在每次请求响应之后，修正时间差。
 */

let initLocalTime = null;
let initServerTime = null;

function getStorgeTime() {
  const st = localStorage.getItem("st");
  const unvalidVals = ["Infinity", "NaN", "null", "undefined"];
  if (unvalidVals.includes(st + "")) {
    return [Date.now(), Date.now()];
  } else {
    const [s, t] = st.split("_");
    return [s * 1, t * 1];
  }
}

const [serverTime, localTime] = getStorgeTime();
initSyncTime(serverTime, localTime);

function initSyncTime(serverTime, localTime = Date.now()) {
  initLocalTime = localTime;
  initServerTime = serverTime;
  localStorage.setItem("st", `${initServerTime}_${initLocalTime}`);
}

function fetchTime() {
  return Date.now() + initServerTime - initLocalTime;
}

export { initSyncTime, fetchTime };
